import {IIngredient} from "./IIngredient";
import * as mongoose from "mongoose";

export interface IContainer extends mongoose.Document {
    slot: number;
    content: IIngredient | undefined;
    volume: number;
    sensorFilledMin: number;
    sensorFilledMax: number;
    sensorType: string;
    sensorPin1: number;
    sensorPin2: number;
    pumpPin: number;
    filled: Number;
    enabled: boolean;
    autoDisabled: boolean;
}